package com.hungraim.ltc.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.hungraim.ism.pojo.vo.disable.DisableEvaluateInfoVO;
import com.hungraim.ltc.dao.TaskMapper;
import com.hungraim.ltc.pojo.entity.eval.ChAprTask;
import com.hungraim.ltc.pojo.vo.assessment.TaskDistributionVO;
import com.hungraim.ltc.service.TaskService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

@Service
public class TaskServiceImpl implements TaskService {

    @Autowired
    private TaskMapper taskMapper;

    @Override
    public IPage<TaskDistributionVO> taskDistributionList(String organId, String isIncludeSubsidiaries, String provincial, String city,
                                                          String street, String realName, String certiCode, String taskName, String taskTel,
                                                          String daysRemaining, String status, String isReturn, String area,
                                                          int pageNum, int pageSize) {
        return taskMapper.taskDistributionList(new Page<>(pageNum, pageSize), organId, isIncludeSubsidiaries, provincial, city,
                street, realName, certiCode, taskName, taskTel, daysRemaining, status, isReturn, area);
    }

    @Override
    public DisableEvaluateInfoVO disableEvaluateInfo(String evaluateId) {
        return taskMapper.selectDisableEvaluateInfoByEvaluateId(evaluateId);
    }

    @Override
    public void addEvaluate(ChAprTask disableEvaluate) {
        taskMapper.insert(disableEvaluate);
    }

    @Override
    public void disableEvaluate(String applyId, String checkName, Short applyStatus, String checkRemark) {
        /*ChDisableApply chDisableApply = disableEvaluateList.selectById(applyId);
        chDisableApply.setCheckName(checkName);
        chDisableApply.setApplyStatus(applyStatus);
        chDisableApply.setCheckRemark(checkRemark);*/
    }

}